Skip to content
Start here

Endpoint Health Check

client.Diagnostics.EndpointHealthchecks.New(ctx, params) (*EndpointHealthcheckNewResponse, error)
POST/accounts/{account_id}/diagnostics/endpoint-healthchecks

Create Endpoint Health Check.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic Transit Write
ParametersExpand Collapse
params EndpointHealthcheckNewParams
AccountID param.Field[string]

Path param: Identifier

maxLength32
EndpointHealthcheck param.Field[EndpointHealthcheck]

Body param

ReturnsExpand Collapse
type EndpointHealthcheckNewResponse struct{…}
CheckType EndpointHealthcheckNewResponseCheckType

type of check to perform

Endpoint string

the IP address of the host to perform checks against

ID stringoptional

UUID.

maxLength36
Name stringoptional

Optional name associated with this check

Endpoint Health Check

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/diagnostics"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  endpointHealthcheck, err := client.Diagnostics.EndpointHealthchecks.New(context.TODO(), diagnostics.EndpointHealthcheckNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    EndpointHealthcheck: diagnostics.EndpointHealthcheckParam{
      CheckType: cloudflare.F(diagnostics.EndpointHealthcheckCheckTypeIcmp),
      Endpoint: cloudflare.F("203.0.113.1"),
    },
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", endpointHealthcheck.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "check_type": "icmp",
    "endpoint": "203.0.113.1",
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "name": "My Endpoint"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "check_type": "icmp",
    "endpoint": "203.0.113.1",
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "name": "My Endpoint"
  }
}